
QGIS Application - Bug report #14976

repository files modified by "make check"

2016-06-07 09:38 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Sandro Santilli

Category: Tests Suite

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22925

Description

After running "make check", some testdata files are overridden:

# Changes not staged for commit:                                                

# modified:   python/plugins/processing/tests/testdata/custom/grass7/raster_4class.tif.aux.xml

# modified:   python/plugins/processing/tests/testdata/custom/grass7/raster_5class.tif.aux.xml

# modified:   python/plugins/processing/tests/testdata/custom/grass7/raster_6class.tif.aux.xml

They should either not be in the repository or not be overridden.

If the test implies modifying them, the tester should first copy them to temporary space and modify them there.

Associated revisions

Revision e241ab9b - 2016-06-16 06:27 PM - Sandro Santilli

Remove generated test files from repository

Fixes #14976

History

#1 - 2016-06-16 08:33 AM - Sandro Santilli

- Assignee set to Victor Olaya

Victor, is the testing framework for processing your responsibility ?

#2 - 2016-06-16 08:34 AM - Sandro Santilli

The diffs, for the record:

diff --git a/python/plugins/processing/tests/testdata/custom/grass7/raster_4class.tif.aux.xml

b/python/plugins/processing/tests/testdata/custom/grass7/raster_4class.tif.aux.xml

index 129744d..9ada602 100644

--- a/python/plugins/processing/tests/testdata/custom/grass7/raster_4class.tif.aux.xml

+++ b/python/plugins/processing/tests/testdata/custom/grass7/raster_4class.tif.aux.xml

@@ -11,12 +11,12 @@

       </HistItem>
     </Histograms>

     <Metadata>

+      <MDI key="COLOR_TABLE_RULES_COUNT">5</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_0">1.000000e+00 1.600000e+00 255 255 0 0 255 0</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_1">1.600000e+00 2.200000e+00 0 255 0 0 255 255</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_2">2.200000e+00 2.800000e+00 0 255 255 0 0 255</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_3">2.800000e+00 3.400000e+00 0 0 255 255 0 255</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_4">3.400000e+00 4.000000e+00 255 0 255 255 0 0</MDI>

-      <MDI key="COLOR_TABLE_RULES_COUNT">5</MDI>

       <MDI key="Generated_with">GRASS GIS 7.0.3</MDI>

       <MDI key="STATISTICS_MAXIMUM">4</MDI>

       <MDI key="STATISTICS_MEAN">3.3133333333333</MDI>

diff --git a/python/plugins/processing/tests/testdata/custom/grass7/raster_5class.tif.aux.xml

b/python/plugins/processing/tests/testdata/custom/grass7/raster_5class.tif.aux.xml

index ab04631..a5b37b9 100644

--- a/python/plugins/processing/tests/testdata/custom/grass7/raster_5class.tif.aux.xml

+++ b/python/plugins/processing/tests/testdata/custom/grass7/raster_5class.tif.aux.xml

@@ -11,12 +11,12 @@

       </HistItem>

     </Histograms>

     <Metadata>

+      <MDI key="COLOR_TABLE_RULES_COUNT">5</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_0">1.000000e+00 1.800000e+00 255 255 0 0 255 0</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_1">1.800000e+00 2.600000e+00 0 255 0 0 255 255</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_2">2.600000e+00 3.400000e+00 0 255 255 0 0 255</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_3">3.400000e+00 4.200000e+00 0 0 255 255 0 255</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_4">4.200000e+00 5.000000e+00 255 0 255 255 0 0</MDI>

-      <MDI key="COLOR_TABLE_RULES_COUNT">5</MDI>

       <MDI key="Generated_with">GRASS GIS 7.0.3</MDI>

       <MDI key="STATISTICS_MAXIMUM">5</MDI>

       <MDI key="STATISTICS_MEAN">3.4714760638298</MDI>

diff --git a/python/plugins/processing/tests/testdata/custom/grass7/raster_6class.tif.aux.xml

b/python/plugins/processing/tests/testdata/custom/grass7/raster_6class.tif.aux.xml

index 4384222..40cd7dd 100644

--- a/python/plugins/processing/tests/testdata/custom/grass7/raster_6class.tif.aux.xml

+++ b/python/plugins/processing/tests/testdata/custom/grass7/raster_6class.tif.aux.xml

@@ -11,12 +11,12 @@

       </HistItem>

     </Histograms>

     <Metadata>

+      <MDI key="COLOR_TABLE_RULES_COUNT">5</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_0">1.000000e+00 2.000000e+00 255 255 0 0 255 0</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_1">2.000000e+00 3.000000e+00 0 255 0 0 255 255</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_2">3.000000e+00 4.000000e+00 0 255 255 0 0 255</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_3">4.000000e+00 5.000000e+00 0 0 255 255 0 255</MDI>

       <MDI key="COLOR_TABLE_RULE_RGB_4">5.000000e+00 6.000000e+00 255 0 255 255 0 0</MDI>

-      <MDI key="COLOR_TABLE_RULES_COUNT">5</MDI>

       <MDI key="Generated_with">GRASS GIS 7.0.3</MDI>

       <MDI key="STATISTICS_MAXIMUM">6</MDI>

       <MDI key="STATISTICS_MEAN">4.1343333333333</MDI>
I suspect those files should not be in the repository at all ?

#3 - 2016-06-16 08:55 AM - Sandro Santilli

- Assignee changed from Victor Olaya to Sandro Santilli

- Status changed from Open to In Progress

Fix ready in PR: https://github.com/qgis/QGIS/pull/3206

#4 - 2016-06-16 09:27 AM - Sandro Santilli

- Status changed from In Progress to Closed

Fixed in changeset commit:"e241ab9b01e1ef2d4c57f2df0bd6b97ed7adc00f".
https://github.com/qgis/QGIS/pull/3206

